package org.example.demo.praktikum1.aufgabe2;
import jakarta.ejb.Remote;

@Remote
public interface StatefulCalculatorRemote {
    double addiere(float zahl1, float zahl2);
    double subtrahiere(float zahl1, float zahl2);
    double multipliziere(float zahl1, float zahl2);
    double dividiere(float zahl1, float zahl2);

    double addiere(float zahl);
    double subtrahiere(float zahl);
    double multipliziere(float zahl);
    double dividiere(float zahl);
}
